Loading...
Searching...
No Matches
random_access_container Interface Reference
Utility » Container

A more refined container concept than seqan3::sequence_container. More...

`#include <seqan3/utility/container/concept.hpp>`

Inheritance diagram for random_access_container:
[legend]

## Detailed Description

A more refined container concept than seqan3::sequence_container.

Adds requirements for .at(), .resize() and the subscript operator []. Models the subset of the STL SequenceConcept that is supported by std::vector, std::deque and std::basic_string.

Attention
  std::array, std::forward_list and std::list do not satisfy this concept.

This entity is not part of the SeqAn API. Do not rely on it in your applications. Exposition only.

The documentation for this interface was generated from the following file:

- utility/container/concept.hpp

Hide me